My Project: Matrix Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
Matrix Class Reference

`#include <matrix.h>`

## Public Member Functions

| Matrix ()
void | LoadIdentity ()
Matrix * | Copy ()
void | Overwrite (Matrix &mat)
void | GetInverse (Matrix &mat)
void | Multiply (Matrix &mat)
void | Translate (float x, float y, float z)
void | Scale (float x, float y, float z)
void | Rotate (float rx, float ry, float rz)
void | RotatePitch (float ang)
void | RotateYaw (float ang)
void | RotateRoll (float ang)
void | FromQuaternion (float x, float y, float z, float w)
void | TransformVec (float &rx, float &ry, float &rz, int addTranslation=0)
void | Transpose ()
void | SetTranslate (float x, float y, float z)
void | Multiply2 (Matrix &mat)
void | GetInverse2 (Matrix &mat)
float | GetPitch ()
float | GetYaw ()
float | GetRoll ()
void | FromToRotation (float ix, float iy, float iz, float jx, float jy, float jz)
void | ToQuat (float &qx, float &qy, float &qz, float &qw)

## Public Attributes

float | grid [4][4]

## Constructor & Destructor Documentation

## § Matrix()

Matrix::Matrix | ( |  | ) |

inline

## Member Function Documentation

## § Copy()

Matrix* Matrix::Copy | ( |  | ) |

inline

## § FromQuaternion()

void Matrix::FromQuaternion | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

inline

## § FromToRotation()

void Matrix::FromToRotation | ( | float | ix,
|  | float | iy,
|  | float | iz,
|  | float | jx,
|  | float | jy,
|  | float | jz
| ) |  |

inline

## § GetInverse()

void Matrix::GetInverse | ( | Matrix & | mat | ) |

inline

## § GetInverse2()

void Matrix::GetInverse2 | ( | Matrix & | mat | ) |

inline

## § GetPitch()

float Matrix::GetPitch | ( |  | ) |

inline

## § GetRoll()

float Matrix::GetRoll | ( |  | ) |

inline

## § GetYaw()

float Matrix::GetYaw | ( |  | ) |

inline

## § LoadIdentity()

void Matrix::LoadIdentity | ( |  | ) |

inline

## § Multiply()

void Matrix::Multiply | ( | Matrix & | mat | ) |

inline

## § Multiply2()

void Matrix::Multiply2 | ( | Matrix & | mat | ) |

inline

## § Overwrite()

void Matrix::Overwrite | ( | Matrix & | mat | ) |

inline

## § Rotate()

void Matrix::Rotate | ( | float | rx,
|  | float | ry,
|  | float | rz
| ) |  |

inline

## § RotatePitch()

void Matrix::RotatePitch | ( | float | ang | ) |

inline

## § RotateRoll()

void Matrix::RotateRoll | ( | float | ang | ) |

inline

## § RotateYaw()

void Matrix::RotateYaw | ( | float | ang | ) |

inline

## § Scale()

void Matrix::Scale | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

## § SetTranslate()

void Matrix::SetTranslate | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

## § ToQuat()

void Matrix::ToQuat | ( | float & | qx,
|  | float & | qy,
|  | float & | qz,
|  | float & | qw
| ) |  |

inline

## § TransformVec()

void Matrix::TransformVec | ( | float & | rx,
|  | float & | ry,
|  | float & | rz,
|  | int | addTranslation = `0`
| ) |  |

inline

## § Translate()

void Matrix::Translate | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

## § Transpose()

void Matrix::Transpose | ( |  | ) |

inline

## Member Data Documentation

## § grid

float Matrix::grid[4][4]

The documentation for this class was generated from the following file:

- openb3dlib.mod/openb3d/src/matrix.h